Server error when clicking the Unpublished link
Description

Clicking on the link gives this message:

There's been an internal error on the server; it probably wasn't anything you did, so don't worry too much about it. The site administrators

have been emailed with the details, and they'll probably get it fixed real soon.

Turning on debug gives this message:

TemplateSyntaxError at /plugins/unpublished/

Caught NoReverseMatch while rendering: Reverse for 'version_download' with arguments '('',)' 

and keyword arguments '{}' not found.

Template error

In template /home/web/qgis-django/qgis/plugins/templates/plugins/plugin_list.html, error at line 27

The odd thing is this doesn't occur in my local development version.

History

#1 - 2011-01-28 09:25 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

Can you please flag my user as staff or (better) admin in django app so that I can test publishing ?

#2 - 2011-01-28 09:26 AM - Gary Sherman

You now have staff status

#3 - 2011-01-28 09:28 AM - Gary Sherman

And admin status as well...

#4 - 2011-01-28 09:34 AM - Alessandro Pasotti

- Status changed from Open to In Progress

Cannot reproduce on
http://plugins.qgis.org/plugins/1/

http://plugins.qgis.org/plugins/3/

#5 - 2011-01-28 09:37 AM - Gary Sherman

Click on the Unpublished link in the menu on the left:

http://plugins.qgis.org/plugins/unpublished/

#6 - 2011-01-28 10:04 AM - Alessandro Pasotti

Ok, got it.

I just committed the fix in git.

#7 - 2011-01-28 01:12 PM - Alessandro Pasotti

- Status changed from In Progress to Resolved

#8 - 2011-03-16 08:01 AM - Alessandro Pasotti

- Status changed from Resolved to Closed
